Bug 115717 - undefined code
Summary: undefined code
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openh323   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Reed
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-15 12:08 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 18:27:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-15 12:08:13 UTC
Description of problem:

I just tried to compile package openh323-1.12.0-2 from Fedora.

The compiler said

1.

iLBC/iCBSearch.c:127: warning: operation on `pp' may be undefined

The source code is

                   *ppe+=(*pp)*(*pp++);

The operation is undefined. Better source code is

                   *ppe += (pp[ 0]) * (pp[ 0]);
				   ++pp;

2.

iLBC/iCBSearch.c:317: warning: operation on `pp' may be undefined

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Reed 2004-05-21 18:27:30 UTC
Filed upstream at
http://www.openh323.org/~openh323/gnatsweb.cgi?cmd=view&pr=openh323/195


Note You need to log in before you can comment on or make changes to this bug.